RankHub

API 目前处于 Early Preview 阶段, 可能存在诸多不完善与错误之处,欢迎加群交流反馈:加入官方交流群(1073434398)

读取最佳成绩(统一桶形状)

GET
/v1/games/{game}/profiles/{profileId}/bests

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Path Parameters

game*string

游戏键(小写)

Value in"maimai""chunithm""arcaea""phigros""milthm""notanote""musedash""rizline""osu""orzmic"
profileId*string
Formatuuid

Response Body

最佳成绩

application/json
  1. response
code*string
message*string
description?string
data*
requestId*string
Example Request
curl -X GET 'https://api.rankhub.cc/v1/games/maimai/profiles/497f6eca-6276-4993-bfeb-53cbbbba6f08/bests'
Example Response
{  "code": "string",  "message": "string",  "description": "string",  "data": {    "game": "maimai",    "computedAt": "2019-08-24T14:15:22Z",    "totals": {      "property1": 0,      "property2": 0    },    "buckets": [      {        "key": "string",        "label": "string",        "total": 0,        "items": [          {            "scoreId": "string",            "songId": "string",            "songName": "string",            "type": "string",            "difficulty": "string",            "levelIndex": 0,            "level": "string",            "achievements": 0,            "score": 0,            "rating": 0,            "rank": "string",            "dxScore": 0,            "dxStar": 0,            "fc": "string",            "fs": "string",            "playTime": "2019-08-24T14:15:22Z",            "native": {}          }        ]      }    ]  },  "requestId": "string"}